#### PyKDE - Python Bindings for KDE

# class KRES.PluginFactoryBase |
Table of contents
Modules
tderesources Classes
All Classes

Module | tderesources
Class | KRES.PluginFactoryBase (abstract)
Inherits | KLibFactory

### methods

- configWidget (parent) = 0

  returns (KRES.ConfigWidget)
  In versions KDE 3.2.0 and above only
  pure virtual
  Argument | Type | Default
  --- | --- | ---
  parent | TQWidget |

- createObject (a0, a1, a2, a3)

  returns (TQObject)
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | TQObject |
  a1 | char |
  a2 | char |
  a3 | TQStringList |

- resource (config) = 0

  returns (KRES.Resource)
  In versions KDE 3.2.0 and above only
  pure virtual
  Argument | Type | Default
  --- | --- | ---
  config | TDEConfig |